{% extends 'base.html' %}
{% load static %}
{% load humanize %}

{% block body %}
<div class="container">
    <div class="row" style="margin-bottom:10px;">
        <div class="col-12 col-md-6">
            <h3>Pedido {{pedido.Id}}</h3>
        </div>
        <div class="col-12 col-md-6 text-md-right">
            <a href="{% url 'index' %}" class="btn btn-success">Volver</a>
        </div>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <table class="table table-striped table-bordered text-center">
                        <tr>
                            <th>Producto</th>
                            <th>Cantidad (Toneladas)</th>
                            <th>Calidad</th>
                            <th>Estado</th>
                            <th>Precio tonelada</th>
                            {% if pedido.Estado.Id == 2 %}
                            <th>Acciones</th>
                            {% endif %}
                        </tr>
                        {% for d in pedido.DetallePedido %}
                        <tr>
                            <td>{{d.Producto.Nombre}}</td>
                            <td>{{d.Toneladas}}</td>
                            <td>{{d.Calidad.Nombre}}</td>

                            {% if not d.Ofertas %}
                            <td>
                                <i class="fas fa-times" style="color: red"></i> No has ofertado
                            </td>
                            <td>-</td>
                            {% if pedido.Estado.Id == 2 %}
                            <td>
                                <a href="{% url 'productor_ofertar' id_pedido=pedidoId id_producto=d.Producto.Id id_calidad=d.Calidad.Id %}"
                                    class="btn btn-sm btn-success">Ofertar</a>
                            </td>
                            {% endif %}
                            {% else %}
                            {% for o in d.Ofertas %}
                            {% if o.IdProductor == request.session.user.id %}
                            <td>
                                <i class="fas fa-check" style="color: green;"></i> Has ofertado
                            </td>
                            <td>
                                US${{o.Precio|intcomma}}
                            </td>
                            {% if pedido.Estado.Id == 2 %}
                            <td>

                                <form action="{% url 'productor_quitar_oferta' %}" method="post">
                                    {% csrf_token %}
                                    <input type="hidden" name="pedido" value="{{pedidoId}}">
                                    <input type="hidden" name="producto" value="{{d.Producto.Id}}">
                                    <input type="hidden" name="calidad" value="{{d.Calidad.Id}}">

                                    <a href="{% url 'productor_ofertar' id_pedido=pedidoId id_producto=d.Producto.Id id_calidad=d.Calidad.Id %}" class="btn btn-sm btn-success">Modificar</a>
                                    <input type="submit" value="Quitar" class="btn btn-sm btn-danger">

                                </form>
                            </td>
                            {% endif %}
                            {% else %}
                            <td>
                                <i class="fas fa-times" style="color: red"></i> No has ofertado
                            </td>
                            <td>-</td>
                            {% if pedido.Estado.Id == 2 %}
                            <td>
                                <a href="{% url 'productor_ofertar' id_pedido=pedidoId id_producto=d.Producto.Id id_calidad=d.Calidad.Id %}"
                                    class="btn btn-sm btn-success">Ofertar</a>
                            </td>
                            {% endif %}
                            {% endif %}
                            {% endfor %}
                            {% endif %}
                        </tr>
                        {% endfor %}
                    </table>
                </div>
            </div>
        </div>
    </div>


</div>
{% endblock %}